%global dlrn_nvr tripleo-puppet-elements-10.3.3-0.20200123202112.78f7e7f
%global dlrn 1
%define upstream_version 10.3.3
%{lua: posix.setenv("RHEL_ALLOW_PYTHON2_FOR_BUILD",1)}
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver 3
%else
%global pyver 2
%endif

%global pyver_bin python%{pyver}
%global pyver_sitelib %python%{pyver}_sitelib
%global pyver_install %py%{pyver}_install
%global pyver_build %py%{pyver}_build
# End of macros for py2/py3 compatibility

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
# Turn off the brp-python-bytecompile script
%global __os_install_post %(echo '%{__os_install_post}' | sed -e 's!/usr/lib[^[:space:]]*/brp-python-bytecompile[[:space:]].*$!!g')

Name:		openstack-tripleo-puppet-elements
Summary:	OpenStack TripleO Puppet Elements for diskimage-builder
Version: 10.3.3
Release: 0.20200123202112.78f7e7f%{?dist}
License:	ASL 2.0
Group:		System Environment/Base
URL:		https://wiki.openstack.org/wiki/TripleO
Source0: tripleo-puppet-elements-10.3.3-0.20200123202112.78f7e7f.tar.gz

#
# patches_ignore=DROP-IN-RPM
# patches_base=78f7e7f6d926b27cd4025fa7c28a7d84d01813f2
Patch0001: 0001-DOWNSTREAM-ONLY-Add-RHEL8-support-for-overcloud-full.patch
Patch0002: 0002-DOWNSTREAM-ONLY-RHEL8-Use-podman-docker.patch

BuildArch:	noarch
BuildRequires:	python%{pyver}-devel
BuildRequires:	python%{pyver}-setuptools
BuildRequires:	python%{pyver}-pbr
%if %{pyver} == 2
BuildRequires:	python-d2to1
%else
BuildRequires:	python%{pyver}-d2to1
%endif

%description
OpenStack TripleO Puppet Elements is a collection of elements for
diskimage-builder that can be used to build OpenStack images configured with
Puppet for the TripleO program.

%prep
%setup -q -n tripleo-puppet-elements-%{upstream_version}

%patch0001 -p1
%patch0002 -p1

%build
%{pyver_build}

%install
%{pyver_install}

# remove .git-keep-empty files that get installed
find %{buildroot} -name .git-keep-empty | xargs rm -f

%files
%doc LICENSE
%doc README.rst
%{pyver_sitelib}/tripleo_puppet_elements*
%{_datadir}/tripleo-puppet-elements

%changelog
* Thu Jan 23 2020 OSP Prod Chain <dev-null@redhat.com> 10.3.3-1
- (DOWNSTREAM-ONLY) RHEL8: Use podman-docker (rhbz#1785242)

* Thu Dec 12 2019 OSP Prod Chain <dev-null@redhat.com> 10.3.3-1
- Update patches

* Fri Nov 08 2019 OSP Prod Chain <dev-null@redhat.com> 10.3.2-1
- Update patches
- Use chkconfig

* Thu Sep 19 2019 OSP Prod Chain <dev-null@redhat.com> 10.3.2-1
- Update patches
- Add proper permissions on script

* Wed Sep 11 2019 RDO <dev@lists.rdoproject.org> 10.3.2-1
- Update to 10.3.2

* Fri Jul 05 2019 RDO <dev@lists.rdoproject.org> 10.3.1-1
- Update to 10.3.1

* Thu Apr 18 2019 RDO <dev@lists.rdoproject.org> 10.3.0-1
- Update to 10.3.0

